.TH wxRadioButton 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxRadioButton \- See external documentation: wxRadioButton\&.
.SH DESCRIPTION
.LP
See external documentation: wxRadioButton <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobutton\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxRadioButton()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxRadioButton()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobutton\&.html#wxradiobuttonwxradiobutton>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string()) -> wxRadioButton()
.br
.RS
.LP
Equivalent to new(Parent, Id, Label, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string(), Options::[Option]) -> wxRadioButton()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobutton\&.html#wxradiobuttonwxradiobutton>\&.
.RE
.LP
.B
create(This::wxRadioButton(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Label, [])\&.
.RE
.LP
.B
create(This::wxRadioButton(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobutton\&.html#wxradiobuttoncreate>\&.
.RE
.LP
.B
getValue(This::wxRadioButton()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobutton\&.html#wxradiobuttongetvalue>\&.
.RE
.LP
.B
setValue(This::wxRadioButton(), Val::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobutton\&.html#wxradiobuttonsetvalue>\&.
.RE
.LP
.B
destroy(This::wxRadioButton()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
